[blfs-support] qt-5.2.0 wont compile

Bruce Dubbs bruce.dubbs at gmail.com
Mon Dec 16 09:55:48 PST 2013


lux-integ wrote:
> Greetings
>
> I am trying to compile qt-5.2.0 for installation prefix /opt/qt5 as per the
> blfs instructions
>   ( http://www.linuxfromscratch.org/blfs/view/svn/x/qt5.html  )
>
> my computer has these:
> --cpu amd64 3cores
> --os blfs, kernel linux-3.10.24, gcc-4.8.1
>
>
> My 'source  configure'  options has these:-
>
> export QMAKE_INCDIR_OPENGL=$XORG_PREFIX/include/{EGL,GL,GLES,GLES2,GLES3}
> export QMAKE_LIBDIR_OPENGL=$XORG_PREFIX/lib
> export QMAKE_LIBS_OPENGL="-L$XORG_PREFIX/lib -lGL -lglamor -lGLESv2 -
> lGLESv1_CM -lGLU -lglut"

I don't understand whay these are needed.  The only thing really needed 
is LIBRARY_PATH=$XORG_PREFIX/lib.  See 
http://www.linuxfromscratch.org/blfs/view/svn/x/xorg7.html and look in 
/etc/profile.d/xorg.sh.

Unfortunately, I've accidentally deleted my qt5 build directory.  My 
last install was qt-5.1.1 but I'm sure I didn't need any QMAKE variables.

> ./configure \
> -prefix $QT5DIR  \
> -sysconfdir /etc/xdg \
> -opensource   \
> -confirm-license \
> -no-nis  \
> -release  \
> -system-sqlite \
> -dbus-linked  \
> -openssl-linked \
> -plugin-sql-psql \
> -optimized-qmake \
> -nomake examples \
> -plugindir $QT5DIR/lib/plugins \
> -opengl es2 \
> -I " -I$XORG_PREFIX/include  -I/usr/include -I/usr/local/include  -
> I${POSTGRESQL_PREFIX}/include " \
> -L$XORG_PREFUX/lib -L${POSTGRESQL_PREFIX}/lib -L$QTDIR/lib \
>
>
> Make ends like so
> g++ -L/usr/X11R7.7/lib -L/usr/lib -L/usr/local/lib -L/opt/qt4/lib  -
> L/usr/pgsql/lib  -Wl,--no-undefined -Wl,-O1 -Wl,-rpath,/opt/qt5/lib -shared -o
> libqxcb.so .obj/qxcbclipboard.o .obj/qxcbconnection.o .obj/qxcbintegration.o
> .obj/qxcbkeyboard.o .obj/qxcbmime.o .obj/qxcbdrag.o .obj/qxcbscreen.o
> .obj/qxcbwindow.o .obj/qxcbbackingstore.o .obj/qxcbwmsupport.o .obj/main.o
> .obj/qxcbnativeinterface.o .obj/qxcbcursor.o .obj/qxcbimage.o
> .obj/qxcbxsettings.o .obj/qxcbsystemtraytracker.o .obj/qxcbsessionmanager.o
> .obj/atom.o .obj/xkb-compat.o .obj/context.o .obj/xkb-keymap.o .obj/keysym.o
> .obj/keysym-utf.o .obj/state.o .obj/text.o .obj/action.o .obj/ast-build.o
> .obj/compat.o .obj/expr.o .obj/include.o .obj/keycodes.o .obj/keymap-dump.o
> .obj/keymap.o .obj/parser.o .obj/rules.o .obj/scanner.o .obj/symbols.o
> .obj/types.o .obj/vmod.o .obj/xkbcomp.o .obj/moc_qxcbconnection.o
> .obj/moc_qxcbmime.o .obj/moc_qxcbnativeinterface.o
> .obj/moc_qxcbsystemtraytracker.o  -L/usr/X11R7.7/lib -ldl -lX11 -lX11-xcb -
> lxcb-render-util -lXrender -lSM -lICE -lxcb-render -ldbus-1 -lxcb -lxcb-image
> -lxcb-icccm -lxcb-sync -lxcb-xfixes -lxcb-shm -lxcb-randr -lxcb-shape -lxcb-
> keysyms -L/home/linteg/qt-everywhere-opensource-src-5.2.0/qtbase/lib -
> lQt5PlatformSupport -lfontconfig -lfreetype -lgthread-2.0 -pthread -lglib-2.0
> -ludev -lEGL -lQt5DBus -lQt5Gui -lQt5Core -lGLESv2 -lpthread -lEGL
> .obj/qxcbwindow.o: In function `QXcbWindow::create()':
> qxcbwindow.cpp:(.text+0x3d58): undefined reference to
> `QXlibEglIntegration::getCompatibleVisualId(_XDisplay*, void*, void*)'
> collect2: error: ld returned 1 exit status
>
> ( I dont know what library is needed or unneeded  via the ld error signal )

It appears to be new in Qt-5.2, but I think it is in libQt5PrintSupport.

> ps when I remove -L$QTDIR/lib  from the last line of configure (above )  and
> unset QTDIR  I get a line that looks something like so
> g++ -L/usr/X11R7.7/lib -L/lib  in the 'make-fail ' line of the compiler output

See above for LIBRARY_PATH.

   -- Bruce






More information about the blfs-support mailing list